<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.finance.mapper.OrderSampleWineMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="orderSampleWineResultMap" type="org.springblade.modules.finance.entity.OrderSampleWine">
        <result column="id" property="id"/>
        <result column="is_delete" property="isDelete"/>
        <result column="create_user_id" property="createUserId"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user_id" property="updateUserId"/>
        <result column="update_time" property="updateTime"/>
        <result column="order_id" property="orderId"/>
        <result column="base_wine_id" property="baseWineId"/>
        <result column="quantity" property="quantity"/>
        <result column="foreign_capacity" property="foreignCapacity"/>
    </resultMap>


    <select id="selectOrderSampleWinePage" resultMap="orderSampleWineResultMap">
        select * from biz_order_sample_wine where is_delete = 0
    </select>

</mapper>
